import feedparser
import pprint
import re

class Rss():
    def __init__(self, id, url, rss_pipe_handler, result_handler) -> None:
        self.rss_url = url
        self.id = id
        self.rss_pipe_handler = rss_pipe_handler
        self.result_handler = result_handler

    def run(self):
        rss_source = feedparser.parse(self.rss_url)
        result_list = self.rss_pipe_handler(rss_source['entries'])

        result_list = self.compare_result(pprint.pprint(result_list))
        ids = self.result_handler(result_list)
        
        self.save_result(ids)
        return

    def compare_result(self, list):
        return list

    def save_result(self, ids):
        return ids

